
<div *ngIf="loading;else loaded" class="watermarks-loading">
    <wm-loader></wm-loader>
</div>

<ng-template #loaded>

    <wm-watermarks-toolbar 
        [showActiveActions]="activeWatermark !== null" 
        [showSave]="watermarks.length > 0"
        (addImage)="addImage($event)"
        (deleteActive)="deleteActive()"
        (save)="save()">
    </wm-watermarks-toolbar>

    <div class="watermarks-wrapper ">
        <img (click)="deactivate()" class="watermarks-base-img" [src]="baseImg.dataUrl"  draggable="false"/>
  
        <div *ngFor="let watermark of watermarks; trackBy:trackById" class="watermark" 
            [wmMovable]="watermark.isActive" 
            (move)="move(watermark.id, $event)"
            [moveValidate]="validate.bind(this)"
            [wmResizable]="watermark.isActive" 
            (resize)="resize(watermark.id, $event)"
            [resizeValidate]="validate.bind(this)"
            (click)="activate(watermark.id)"
            [class.watermark-active]="watermark.isActive"
            [style.height.px]="watermark.height" 
            [style.width.px]="watermark.width"
            [style.left.px]="watermark.x"
            [style.top.px]="watermark.y"> 
            <img class="watermark-img" [src]="watermark.imageData" />
            <div class="watermark-handler watermark-handler-br" #brResizeHandler ></div> 
            <div class="watermark-handler watermark-handler-bl" #blResizeHandler ></div> 
            <div class="watermark-handler watermark-handler-tr" #trResizeHandler ></div> 
            <div class="watermark-handler watermark-handler-tl" #tlResizeHandler ></div>  
        </div>
    </div>

</ng-template>

